## vcsh 0.20111227

=== Makefile ===
PREFIX=/usr

manpages=vcsh.1
all=test manpages

all: $(all)

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 vcsh $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 $(manpages)  $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/doc/vcsh
	install -m 0644 README.md $(DESTDIR)$(PREFIX)/share/doc/vcsh
	install -d $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions
	install -m 0644 _vcsh $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions

manpages: $(manpages)

vcsh.1: doc/vcsh.1.ronn
	ronn < doc/vcsh.1.ronn > vcsh.1

clean:
	rm -rf vcsh.1

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/bin/vcsh
	rm -rf $(DESTDIR)$(PREFIX)/share/man/man1/vcsh.1
	rm -rf $(DESTDIR)$(PREFIX)/share/doc/vcsh
	rm -rf $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions/_vcsh

# Potentially harmful, used a non-standard option on purpose.
# If PREFIX=/usr/local and that's empty...
purge: uninstall
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/bin/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/man/man1/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/doc/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions/

test:
	if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi

moo:
	if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi

=== debian/changelog ===
vcsh (0.20111227-1) unstable; urgency=low

  * Initial release.
  * Closes: #653364

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Tue, 27 Dec 2011 19:13:42 +0100

vcsh (0.20111111-1) UNRELEASED; urgency=low

  * First pre-release.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Fri, 11 Nov 2011 11:11:11 +0100

=== debian/control ===
Source: vcsh
Maintainer: Richard Hartmann <richih.mailinglist@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), ruby-ronn (>= 0.7.3), git

Package: vcsh
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, git
Recommends: mr (>= 1.07), ssh-client
Description: manage config files in $HOME via fake bare git repositories
 vcsh allows you to have several git repositories, all maintaining their working
 trees in $HOME without clobbering each other. That, in turn, means you can have
 one repository per config set (zsh, vim, ssh, etc), picking and choosing which
 configs you want to use on which machine.

## vcsh 0.20120116

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	install -m 0644 $(manpages)  $(DESTDIR)$(PREFIX)/share/man/man1
 	install -d $(DESTDIR)$(PREFIX)/share/doc/vcsh
 	install -m 0644 README.md $(DESTDIR)$(PREFIX)/share/doc/vcsh
+	install -m 0644 doc/hooks $(DESTDIR)$(PREFIX)/share/doc/vcsh
 	install -d $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions
 	install -m 0644 _vcsh $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions

=== debian/changelog ===
vcsh (0.20120116-2) unstable; urgency=low

  * Add Vcs-Git, Vcs-Browser, and Homepage to debian/control

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Tue, 17 Jan 2012 21:50:24 +0100

vcsh (0.20120116-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright dates.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 16 Jan 2012 03:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Priority: optional
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), ruby-ronn (>= 0.7.3), git
+Vcs-Git: git://github.com/RichiH/vcsh.git
+Vcs-Browser: https://github.com/RichiH/vcsh
+Homepage: https://github.com/RichiH/vcsh/blob/master/README.md
 
 Package: vcsh
 Architecture: all

## vcsh 0.20120227

=== Makefile ===
PREFIX=/usr

self=vcsh
manpages=$(self).1
all=test manpages

all: $(all)

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 $(self) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 $(manpages) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/doc/$(self)
	install -m 0644 README.md $(DESTDIR)$(PREFIX)/share/doc/$(self)
	install -m 0644 doc/hooks $(DESTDIR)$(PREFIX)/share/doc/$(self)
	install -d $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions
	install -m 0644 _$(self) $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions

manpages: $(manpages)

$(self).1: doc/$(self).1.ronn
	ronn < doc/$(self).1.ronn > $(self).1

clean:
	rm -rf $(self).1

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/bin/$(self)
	rm -rf $(DESTDIR)$(PREFIX)/share/man/man1/$(self).1
	rm -rf $(DESTDIR)$(PREFIX)/share/doc/$(self)
	rm -rf $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions/_$(self)

# Potentially harmful, used a non-standard option on purpose.
# If PREFIX=/usr/local and that's empty...
purge: uninstall
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/bin/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/man/man1/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/doc/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions/

test:
	if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi

moo:
	if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi

=== debian/changelog ===
vcsh (0.20120227-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 19 Mar 2012 01:28:01 +0100

vcsh (0.20120227-1) unstable; urgency=low

  * New upstream release
    + Refactor Makefile
    + Fix license information in manpage
  * Packaging changes
    + Bump Standards-Version to 3.9.3 (no changes)

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 27 Feb 2012 22:38:24 +0100

vcsh (0.20120215-1) unstable; urgency=low

  * New upstream release
  * Introduce `vcsh which`
  * hooks will tell you when they are being executed
  * Formatting & resilience improvements

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Wed, 15 Feb 2012 21:16:45 +0100

vcsh (0.20120203-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Update vcsh.1

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Wed, 15 Feb 2012 17:35:57 +0100

vcsh (0.20120203-1) unstable; urgency=low

  * New upstream release
  * Fix documentation

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Fri, 03 Feb 2012 02:40:12 +0100

vcsh (0.20120116-2~bpo60+2) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Thu, 02 Feb 2012 01:29:32 +0100

vcsh (0.20120116-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Update vcsh.1

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sat, 28 Jan 2012 02:05:32 +0100

vcsh (0.20111227-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Pre-built vcsh.1 to avoid build dependency on ruby-ronn

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Thu, 29 Dec 2011 15:33:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Richard Hartmann <richih.mailinglist@gmail.com>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), ruby-ronn (>= 0.7.3), git
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7), git
 Vcs-Git: git://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh
 Homepage: https://github.com/RichiH/vcsh/blob/master/README.md

## vcsh 1.0

=== debian/changelog ===
vcsh (1.0-1) unstable; urgency=low

  * New upstream release
    + Make `vcsh list` more resilient
    + Lots of doc improvements

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sat, 30 Jun 2012 01:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: misc
 Priority: optional
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7), git
+Build-Depends: debhelper (>= 7), ruby-ronn (>= 0.7.3), git
 Vcs-Git: git://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh
 Homepage: https://github.com/RichiH/vcsh/blob/master/README.md
 
 Package: vcsh
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, git
+Depends: ${misc:Depends}, ${shlibs:Depends}, git
 Recommends: mr (>= 1.07), ssh-client
 Description: manage config files in $HOME via fake bare git repositories
  vcsh allows you to have several git repositories, all maintaining their working

=== debian/watch ===
# The Debian package is just a branch in the upstream repo.
# At the moment, I don't see a need for debian/watch.
# This file exists solely to make lintian happy.

## vcsh 1.20130724

=== Makefile ===
--- 
+++ 
@@ -43,4 +43,4 @@
 	if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi
 
 moo:
-	if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi
+	@if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi

=== debian/changelog ===
vcsh (1.20130724-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Richard Hartmann <richih@debian.org>  Fri, 30 Aug 2013 20:22:44 +0200

vcsh (1.20130614-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Fri, 26 Jul 2013 22:33:02 +0200

vcsh (1.20130724-1) unstable; urgency=low

  * New upstream release
    + Add support for `vcsh status`
    + Improve output of `vcsh pull`
    + Improve output of `vcsh push`
    + Minor documentation improvements

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Wed, 24 Jul 2013 22:19:50 +0200

vcsh (1.20130723-1) unstable; urgency=low

  * New upstream release
    + Support $VCSH_GITIGNORE == none
    + Documentation improvements,
    + Improved zsh completion
    + Add support for `vcsh pull`
    + Add support for `vcsh push`
    + Add retire() to tear down vcsh ENV
    + Add clone hooks, including one witout vcsh ENV to
      allow subsequent cloning of other repos
    + Fix `vcsh rename`
    + Improve general code robustness

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Tue, 23 Jul 2013 21:35:34 +0200

vcsh (1.20130614-1) unstable; urgency=low

  * New upstream release
    + Lots of documentation improvements, major rewrite

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Fri, 14 Jun 2013 02:05:47 +0200

vcsh (1.3-1) unstable; urgency=low

  * New upstream release
    + Hide hook execution unless verbose is set
    + Ancher ignore file to root of Git repo
    + Implemented basename() to save one process spawn
    + Improve packaged Zsh completion
    + Renamed `vcsh setup` to `vcsh upgrade`
    + Various documentation and spelling improvements

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 27 May 2013 23:40:08 +0200

vcsh (1.2-3~bpo60+3) squeeze-backports-sloppy; urgency=low

  * Bump version number due to mistaken upload (see #709517)

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sun, 26 May 2013 19:29:52 +0200

vcsh (1.2-3~bpo60+2) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sat, 18 May 2013 23:38:01 +0200

vcsh (1.2-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 06 May 2013 00:37:26 +0200

vcsh (1.2-3) unstable; urgency=low

  * Packaging changes
    + Increase Standards-Version from 3.9.3 to 3.9.4 (no changes)

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sun, 05 May 2013 23:55:59 +0200

vcsh (1.2-2) unstable; urgency=low

  * Bump version and upload to unstable

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sat, 04 May 2013 02:58:18 +0200

vcsh (1.2-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy
  * Update vcsh.1

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Tue, 23 Apr 2013 22:59:15 +0200

vcsh (1.2-1) experimental; urgency=low

  * New upstream release
    + Documentation fixes
    + Introduce `vcsh version` Closes: #694584

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sun, 21 Apr 2013 01:17:27 +0200

vcsh (1.1-1) experimental; urgency=low

  * New upstream release
    + Documentation fixes
    + Use rm -f when removing a git repo
    + Fix quoting bug Closes: #699093

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Sun, 31 Mar 2013 20:46:10 +0200

=== debian/control ===
Source: vcsh
Maintainer: Richard Hartmann <richih@debian.org>
Section: misc
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7),
               git
Vcs-Git: git://github.com/RichiH/vcsh.git
Vcs-Browser: https://github.com/RichiH/vcsh
Homepage: https://github.com/RichiH/vcsh/blob/master/README.md

Package: vcsh
Architecture: all
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mr (>= 1.07),
            ssh-client
Description: Version Control System for $HOME - multiple Git repositories in $HOME
 vcsh allows you to have several git repositories, all maintaining their working
 trees in $HOME without clobbering each other. That, in turn, means you can have
 one repository per config set (zsh, vim, ssh, etc), picking and choosing which
 configs you want to use on which machine.

## vcsh 1.20131214

=== debian/changelog ===
vcsh (1.20131214-1~bpo60+2) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Fix local pebkac

 -- Richard Hartmann <richih@debian.org>  Sat, 14 Dec 2013 00:46:17 +0100

vcsh (1.20131214-1~bpo60+1) wheezy-backports; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Richard Hartmann <richih@debian.org>  Sat, 14 Dec 2013 00:37:04 +0100

vcsh (1.20131214-1) unstable; urgency=low

  * New upstream release
    + Release 1.20131214
    + Revert "Implement basename() in shell"
    + Fix mktemp on OS X
    + Fix variable assignment bug
    + Support shortnames for commands
    + Improve Makefile
    + Improve documentation
    + Various minor improvements
  * Packaging changes
    + Bump Standards-Version to 3.9.5 (no changes)

 -- Richard Hartmann <richih@debian.org>  Sat, 14 Dec 2013 00:08:37 +0100

vcsh (1.20130909-1) unstable; urgency=low

  * New upstream release
    + Add support for relative worktrees
  * Packaging changes
    + Start using dgit for actual releases

 -- Richard Hartmann <richih@debian.org>  Mon, 09 Sep 2013 09:20:15 +0200

vcsh (1.20130829-1) unstable; urgency=low

  * New upstream release
    + Add support for `vcsh commit`
    + Add support for `vcsh status <repo>`
    + Add pre-/post-init hooks
    + Documentation improvements
    + Minor cleanups

 -- Richard Hartmann <richih@debian.org>  Thu, 29 Aug 2013 22:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Richard Hartmann <richih@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7),
                git
 Vcs-Git: git://github.com/RichiH/vcsh.git

## vcsh 1.20131229

=== Makefile ===
PREFIX=/usr
DOCDIR_PREFIX=$(PREFIX)/share/doc
DOCDIR=$(DOCDIR_PREFIX)/$(self)
ZSHDIR=$(PREFIX)/share/zsh/vendor-completions
RONN ?= ronn

self=vcsh
manpages=$(self).1
all=test manpages

all: $(all)

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 $(self) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 $(manpages) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(DOCDIR)
	install -m 0644 README.md $(DESTDIR)$(DOCDIR)
	install -m 0644 doc/hooks $(DESTDIR)$(DOCDIR)
	install -d $(DESTDIR)$(ZSHDIR)
	install -m 0644 _$(self) $(DESTDIR)$(ZSHDIR)

manpages: $(manpages)

$(self).1: doc/$(self).1.ronn
	$(RONN) < doc/$(self).1.ronn > $(self).1 || rm $(self).1

clean:
	rm -rf $(self).1

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/bin/$(self)
	rm -rf $(DESTDIR)$(PREFIX)/share/man/man1/$(self).1
	rm -rf $(DESTDIR)$(DOCDIR)
	rm -rf $(DESTDIR)$(ZSHDIR)/_$(self)

# Potentially harmful, used a non-standard option on purpose.
# If PREFIX=/usr/local and that's empty...
purge: uninstall
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/bin/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/man/man1/
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(DOCDIR_PREFIX)
	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(ZSHDIR)

test:
	@if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi

moo:
	@if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi

=== debian/changelog ===
vcsh (1.20131229-1) unstable; urgency=low

  * New upstream release
    + Release 1.20131229
    + Fix mktemp bug (GitHub issue #99)
    + Make code more resilient and efficient
    + Improve output

 -- Richard Hartmann <richih@debian.org>  Sun, 29 Dec 2013 17:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Priority: optional
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7),
-               git
+               git,
+               ruby-ronn (>= 0.7.3)
 Vcs-Git: git://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh
 Homepage: https://github.com/RichiH/vcsh/blob/master/README.md

=== debian/watch ===
version=3
opts=uversionmangle=s/^((?:\d+\.)*\d+-homebrew)$/0.0.$1/;s/^((?:\d+\.)*\d+-\d+)$/0.0.$1/ \
https://github.com/RichiH/vcsh/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r|Version_)(\d\S*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Sun, 02 Jun 2013 09:51:16 +0000

## vcsh 1.20140508

=== debian/changelog ===
vcsh (1.20140508-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih@debian.org>  Thu, 08 May 2014 20:13:17 +0200

vcsh (1.20140508-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20140508
    + Revert "Introduce static manpage as part of normal repo"
  * New upstream release
    + Release 1.20140507
    + Increase portability
    + Improve hooks
    + Improve docs
    + Various minor improvements
  * New upstream release
    + Release 1.20140313 -- the "Git won a prize" edition
    + Closes: #745538
    + Initialize repos with --shared=0600
    + Fix cloning from some spefically-named remotes
    + Support custom gitattribute files
    + Support filenames with whitespace in gitignores
    + Pass out git exit codes
    + Switch to static, pre-built manpage
    + Improve documentation
    + Use more portable find(1) syntax
    + Various minor improvements

 -- Richard Hartmann <richih@debian.org>  Thu, 08 May 2014 19:54:30 +0200

vcsh (1.20131229-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih@debian.org>  Sun, 29 Dec 2013 17:47:04 +0100

vcsh (1.20131214-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih@debian.org>  Sat, 14 Dec 2013 00:28:41 +0100

vcsh (1.20130724-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih@debian.org>  Tue, 06 Aug 2013 22:14:30 +0200

vcsh (1.20130614-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Wed, 24 Jul 2013 22:54:14 +0200

vcsh (1.3-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Wed, 12 Jun 2013 19:20:34 +0200

vcsh (1.2-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Richard Hartmann <richih.mailinglist@gmail.com>  Mon, 06 May 2013 00:59:48 +0200

## vcsh 1.20141026

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PREFIX=/usr
+PREFIX?=/usr
 DOCDIR_PREFIX=$(PREFIX)/share/doc
 DOCDIR=$(DOCDIR_PREFIX)/$(self)
 ZSHDIR=$(PREFIX)/share/zsh/vendor-completions
@@ -47,4 +47,4 @@
 	@if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi
 
 moo:
-	@if [ -x /usr/games/cowsay ]; then /usr/games/cowsay "I hope you're happy now..."; fi
+	@ which cowsay >/dev/null 2>&1 && cowsay "I hope you're happy now..."

=== debian/changelog ===
vcsh (1.20141026-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20141026
    + FIX fatal()
    + Improve error handling of clone()

 -- Richard Hartmann <richih@debian.org>  Sun, 26 Oct 2014 00:32:38 +0200

vcsh (1.20141025-1) unstable; urgency=low

  * New upstream release
    + `vcsh which dontexist` exits 1
    + `vcsh status` shows commits ahead/behind remote tracking branch
    + Support overlay functions
    + Support `vcsh list-untracked`, optionally recursively
    + Support `vcsh list-untracked $repo`
    + Improve error handling of clone()
    + Rename `list-tracked-by` to `list-tracked <repo>`
    + Support repo-specific config files
    + Various minor improvements
    + More moo
  * Packaging changes
    + Bump Standards-Version to 3.9.5 (no changes)

 -- Richard Hartmann <richih@debian.org>  Sat, 25 Oct 2014 21:30:25 +0200

vcsh (1.20141009-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20141009
    + Display full paths in list-tracked*
    + Lots of help improvements

 -- Richard Hartmann <richih@debian.org>  Thu, 09 Oct 2014 23:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Richard Hartmann <richih@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7),
                git,
                ruby-ronn (>= 0.7.3)

## vcsh 1.20150502

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 self=vcsh
 manpages=$(self).1
-all=test manpages
+all=test
 
 all: $(all)
 
@@ -21,13 +21,7 @@
 	install -d $(DESTDIR)$(ZSHDIR)
 	install -m 0644 _$(self) $(DESTDIR)$(ZSHDIR)
 
-manpages: $(manpages)
-
-$(self).1: doc/$(self).1.ronn
-	$(RONN) < doc/$(self).1.ronn > $(self).1 || rm $(self).1
-
 clean:
-	rm -rf $(self).1
 
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/bin/$(self)
@@ -40,11 +34,12 @@
 purge: uninstall
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/bin/
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/man/man1/
-	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(DOCDIR_PREFIX)
+	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(DOCDIR)
 	rmdir -p --ignore-fail-on-non-empty $(DESTDIR)$(ZSHDIR)
 
 test:
-	@if which git > /dev/null ; then :; else echo "'git' not found, exiting..."; exit 1; fi
+	@if which git   > /dev/null; then :    ; else echo "'git' not found, exiting..."         ; exit 1; fi
+	@if which prove > /dev/null; then prove; else echo "'prove' not found; not running tests";         fi
 
 moo:
-	@ which cowsay >/dev/null 2>&1 && cowsay "I hope you're happy now..."
+	@which cowsay >/dev/null 2>&1 && cowsay "I hope you're happy now..."

=== debian/changelog ===
vcsh (1.20150502-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20150502
    + Add tests
    + Various improvements

 -- Richard Hartmann <richih@debian.org>  Sat, 02 May 2015 17:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7),
                git,
+               libshell-command-perl,
+               libtest-most-perl,
                ruby-ronn (>= 0.7.3)
 Vcs-Git: git://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh

## vcsh 1.20151229

=== debian/changelog ===
vcsh (1.20151229-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20151229
    + Fix tests to always use C locale, this makes vcsh reproducible
    + Implement `vcsh foreach`
    + Implement `vcsh list-untracked -a`
    + Handle Git older than 2.x gracefully
    + Fix broken list-tracked-by
    + Fix regression in `vcsh which`
    + Skip ignored files in the output of list-untracked
    + Improve cloning
    + Clean up docs
    + Implement `vcsh status --terse`
    + Improve tests

 -- Richard Hartmann <richih@debian.org>  Tue, 29 Dec 2015 20:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: git,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: mr (>= 1.07),
+Recommends: myrepos,
             ssh-client
 Description: Version Control System for $HOME - multiple Git repositories in $HOME
  vcsh allows you to have several git repositories, all maintaining their working

## vcsh 1.20190621

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 DOCDIR_PREFIX=$(PREFIX)/share/doc
 DOCDIR=$(DOCDIR_PREFIX)/$(self)
 ZSHDIR=$(PREFIX)/share/zsh/vendor-completions
-RONN ?= ronn
 
 self=vcsh
 manpages=$(self).1

=== debian/changelog ===
vcsh (1.20190621-5) unstable; urgency=medium

  * Fix debian/watch

 -- Richard Hartmann <richih@debian.org>  Tue, 06 Apr 2021 21:46:10 +0200

vcsh (1.20190621-4) unstable; urgency=medium

  * Yet Another Upload, to give remote autopkgtest two passing tests

 -- Richard Hartmann <richih@debian.org>  Tue, 06 Apr 2021 18:36:28 +0200

vcsh (1.20190621-3) unstable; urgency=medium

  * Try to fix autopkgtest

 -- Richard Hartmann <richih@debian.org>  Tue, 06 Apr 2021 17:44:54 +0200

vcsh (1.20190621-2) unstable; urgency=medium

  * Add autopkgtest

 -- Richard Hartmann <richih@debian.org>  Tue, 06 Apr 2021 12:21:38 +0200

vcsh (1.20190621-1) unstable; urgency=medium

  * New upstream release
    + Release 1.20190621
    + Safe harbor release before major changes
    + Various bugfixes

 -- Richard Hartmann <richih@debian.org>  Mon, 05 Apr 2021 14:29:00 +0200

vcsh (1.20151229-2) UNRELEASED; urgency=medium

  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use secure URI in Vcs control header Vcs-Git.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 05 May 2020 03:40:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Richard Hartmann <richih@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                git,
                libshell-command-perl,
                libtest-most-perl,
                ruby-ronn (>= 0.7.3)
-Vcs-Git: git://github.com/RichiH/vcsh.git
+Vcs-Git: https://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh
 Homepage: https://github.com/RichiH/vcsh/blob/master/README.md
+Rules-Requires-Root: no
 
 Package: vcsh
 Architecture: all

=== debian/tests/control ===
Test-Command: make test
Depends: git, perl, dash, libshell-command-perl, libtest-most-perl, ruby-ronn
Restrictions: allow-stderr

## vcsh 2.0.10

=== debian/changelog ===
vcsh (2.0.10-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix autopkgtests
    - Prior one shipped does not work
    - Copy functional tests to d/tests and edit them to work
    - Closes: #1103659
  * Add newline to end of d/rules for Lintian cleanliness

 -- Dave Hibberd <hibby@debian.org>  Tue, 22 Apr 2025 22:28:10 +0100

vcsh (2.0.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.0.10
  * Align gbp.conf with repo layout
  * d/control
    - brought standards to 4.7.2
    - tweaked build deps to get package to build
    - Added ronn as dependency
  * d/rules
    - broke out dh_autoreconf to touch aminclude.am
  * d/gitlab-ci.yml
    - Get gitlab CI working for the package
  * d/copyright
    - Added url for gpl2+
  * d/patches
    - Added spelling patch
    - Added patch to ensure ronn is included for build
    - Patched out install of INSTALL.md and README.md

 -- Dave Hibberd <hibby@debian.org>  Thu, 10 Apr 2025 00:18:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Maintainer: Richard Hartmann <richih@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13),
-               git,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: git,
                libshell-command-perl,
                libtest-most-perl,
-               ruby-ronn (>= 0.7.3)
+	       ronn,
+	       autoconf,
+	       autoconf-archive,
+	       pkgconf,
+	       bash-completion
 Vcs-Git: https://github.com/RichiH/vcsh.git
 Vcs-Browser: https://github.com/RichiH/vcsh
 Homepage: https://github.com/RichiH/vcsh/blob/master/README.md

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	touch aminclude.am
	dh_autoreconf

=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends: vcsh, git, perl, dash, libshell-command-perl, libtest-most-perl, ruby-ronn
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vcsh-$1\.tar\.gz/ \
  https://github.com/richih/vcsh/tags .*/v?(\d\S*)\.tar\.gz
